# Read Orders **GET /orders** Read orders from Komfortkasse. ## Servers - Production: https://ssl.komfortkasse.eu/api/v2 (Production) ## Authentication methods - Api key ## Parameters ### Query parameters - **maxAge** (string) Maximum order age (in days). - **paymentStatus** (string) Comma-separated list of PaymentStatus values for filtering (example: `PAID,PAID_PARTIAL` or `UNPAID`). - **minPostingDate** (string) Minimum date of last Posting. Note that when using this parameter, only orders will be returned that contain Postings (i.e. orders without Postings that have been set paid manually will not be returned). - **includePostings** (boolean) Set to true to include the list of Postings in the response. - **includeCollectionHistory** (boolean) Set to true to include the list of collection events in the response. - **includePaymentReminders** (boolean) Set to true to include the list of payment reminders in the response. - **includeRefunds** (boolean) Set to true to include the list of refunds in the response. ## Responses ### 200 List of orders. #### Body: application/json (array[object]) ### 400 Invalid request — for example missing required fields or wrong format. #### Body: application/json (object) - **error** (string) Error message. ### 401 Authentication failed — API key missing or invalid. #### Body: application/json (object) - **error** (string) Error message. ### 404 Resource not found (e.g. unknown order number). #### Body: application/json (object) - **error** (string) Error message. [Powered by Bump.sh](https://bump.sh)